FORMAT: 1A

# Group Vectorapi
Group of all vectorapi-related resources.

## Sound Scan codes

This API stores the countrywise soundscan_codes against vendor. This API resource manages the addition, updation, retrieve, deletion of codes.

## Index [/vectorapi/soundscancodes/index{?subaccountId,access_token}]

### Index [GET]

+ Parameters

    + subaccountId (number, `1`) ... An unique identifier of the message.
    + access_token (varchar, `some token`)

+ Request JSON Message
    
    + Headers

            Accept: application/json

+ Response 200 (application/json)

    + Body
{
  "envelope": {
    "header": {
      "apiVersion": "1.0",
      "baseUrl": "vapi.alpha.devorch.com",
      "httpStatusCode": 200
    },
    "request": "soundscancodes/index?params=vectorapi&soundscancodes&index&json&1&<some_token>",
    "response": {
      "soundscanCodes": [
        {
          "id": 2675,
          "soundscanCode": "test",
          "countryAbbreviation": "US",
          "subaccountId": 1,
          "vendorId": 16055
        }
      ]
    }
  }
}

## Get [/vectorapi/soundscancodes/get{?id,access_token}]

### Get [GET]

+ Parameters

    + id (number, `2`) ... An unique identifier of the message.
    + access_token (varchar, `some token`)

+ Request JSON Message
    
    + Headers

            Accept: application/json

+ Response 200 (application/json)

    + Body
{
  "envelope": {
    "header": {
      "apiVersion": "1.0",
      "baseUrl": "vapi.alpha.devorch.com",
      "httpStatusCode": 200
    },
    "request": "soundscancodes/get?params=vectorapi&soundscancodes&get&json&2&<some_token>",
    "response": {
      "soundscanCodes": {
        "id": 2,
        "soundscanCode": "YO12",
        "subaccount": null,
        "Country": {
          "id": 2,
          "name": "Canada",
          "abbrivation": "CA"
        },
        "vendor": {
          "vendorId": 7123,
          "name": "Record Label"
        }
      }
    }
  }
}


## Post [/vectorapi/soundscancodes/post{?data,access_token}]

### Post [POST]

+ Parameters

    + data (varchar, `{"vendorId":7122,"soundscanCode": "AB7G","countryId":1}`)
    + access_token (varchar, `some token`)

+ Request JSON Message
    
    + Headers

            Accept: application/json

+ Response 200 (application/json)

    + Body
{
  "envelope": {
    "header": {
      "apiVersion": "1.0",
      "baseUrl": "192.168.0.54",
      "httpStatusCode": 200
    },
    "request": "soundscancodes/post?params=vectorapi&soundscancodes&post&json&{\"vendorId\":7122,\"soundscanCode\": \"AB7G\",\"countryId\":1}&<some_token>",
    "response": {
      "soundscanCodesId": 2895
    }
  }
}

## Put [/vectorapi/soundscancodes/put{?id,data,access_token}]

### Put [POST]

+ Parameters

    + id (number, `2895`) ... An unique identifier of the message.
    + data (varchar, `{"vendorId":7122,"soundscanCode": "AB6G","countryId":1}`)
    + access_token (varchar, `some token`)

+ Request JSON Message
    
    + Headers

            Accept: application/json

+ Response 200 (application/json)

    + Body
{
  "envelope": {
    "header": {
      "apiVersion": "1.0",
      "baseUrl": "vapi.alpha.devorch.com",
      "httpStatusCode": 200
    },
    "request": "soundscancodes/put?params=vectorapi&soundscancodes&put&json&2895&{\"vendorId\":7122,\"soundscanCode\": \"AB6G\",\"countryId\":1}&<some_token>",
    "response": {
      "soundscanCodes": {
        "id": 2895,
        "soundscanCode": "AB6G",
        "subaccount": null,
        "Country": {
          "id": 1,
          "name": "USA",
          "abbrivation": "US"
        },
        "vendor": {
          "vendorId": 7122,
          "name": "Charles Bigras"
        }
      }
    }
  }
}
